Inyett Company Data
Financial key results for the company
Returns key financial ratios and KPIs (e.g. solidity, profit margin, return on capital) per financial period, for the company itself.
GET
/
3
/
{profileCountry}
/
company-data
/
companies
/
{country}
/
{orgNr}
/
financial-key-results
Financial key results for the company
curl --request GET \
--url https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"fromDate": "2023-01-01T00:00:00",
"toDate": "2023-12-31T00:00:00",
"grossProfitMargin": 93.9,
"profitMargin": 27.8,
"riskBuffer": 23.7,
"returnOnCapital": 37.8,
"rateOfReturnTimes": 695.9,
"returnOnWorkingCapital": 33.8,
"returnOnTotalCapital": 23.7,
"quickRatio": 294.4,
"workingCapital": 38577,
"solidity": 62.7,
"debtEquityRatio": 0.1,
"degreeOfDebt": 0.5,
"inventoryTurnover": 0,
"capitalTurnover": 0,
"turnoverPerEmployee": 1577
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
X-Api-KeyBearer
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
The country whose scope/entitlement profile (SE or NO) is used to authorize the request. Determines which market-specific rules apply, independent of the country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
Available options:
SE, NO The country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
Available options:
SE, NO The company's organisation number (personal identity number for a sole proprietorship), without separators.
Response
OK
Was this page helpful?
⌘I
Financial key results for the company
curl --request GET \
--url https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-key-results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"fromDate": "2023-01-01T00:00:00",
"toDate": "2023-12-31T00:00:00",
"grossProfitMargin": 93.9,
"profitMargin": 27.8,
"riskBuffer": 23.7,
"returnOnCapital": 37.8,
"rateOfReturnTimes": 695.9,
"returnOnWorkingCapital": 33.8,
"returnOnTotalCapital": 23.7,
"quickRatio": 294.4,
"workingCapital": 38577,
"solidity": 62.7,
"debtEquityRatio": 0.1,
"degreeOfDebt": 0.5,
"inventoryTurnover": 0,
"capitalTurnover": 0,
"turnoverPerEmployee": 1577
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}